class Range

  # A thing really should know itself.
  # This simply returns _self_.
  #
  # Note: This does not internally effect the Ruby
  # interpretor such that it can coerce Range-like
  # objects into a Range.
  def to_range
    self
  end

end



#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCRange < Test::Unit::TestCase

    def test_to_range
      a = (0..10)
      assert_equal( a, a.to_range )
    end

  end

=end
